pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E069 : Short_Integer; pragma Import (Ada, E069, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E042 : Short_Integer; pragma Import (Ada, E042, "ada__containers_E");
   E064 : Short_Integer; pragma Import (Ada, E064, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "ada__strings__maps_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__strings__maps__constants_E");
   E047 : Short_Integer; pragma Import (Ada, E047, "interfaces__c_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "system__object_reader_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "system__dwarf_lines_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "system__soft_links__initialize_E");
   E041 : Short_Integer; pragma Import (Ada, E041, "system__traceback__symbolic_E");
   E141 : Short_Integer; pragma Import (Ada, E141, "gnat_E");
   E234 : Short_Integer; pragma Import (Ada, E234, "interfaces__c__strings_E");
   E250 : Short_Integer; pragma Import (Ada, E250, "system__task_info_E");
   E244 : Short_Integer; pragma Import (Ada, E244, "system__task_primitives__operations_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "ada__tags_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "ada__streams_E");
   E194 : Short_Integer; pragma Import (Ada, E194, "system__file_control_block_E");
   E129 : Short_Integer; pragma Import (Ada, E129, "system__finalization_root_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "ada__finalization_E");
   E193 : Short_Integer; pragma Import (Ada, E193, "system__file_io_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__storage_pools_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "system__finalization_masters_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "system__storage_pools__subpools_E");
   E116 : Short_Integer; pragma Import (Ada, E116, "ada__strings__unbounded_E");
   E206 : Short_Integer; pragma Import (Ada, E206, "system__regpat_E");
   E146 : Short_Integer; pragma Import (Ada, E146, "ada__calendar_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "ada__calendar__time_zones_E");
   E189 : Short_Integer; pragma Import (Ada, E189, "ada__text_io_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "gnat__calendar_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "gnat__calendar__time_io_E");
   E331 : Short_Integer; pragma Import (Ada, E331, "gnat__directory_operations_E");
   E315 : Short_Integer; pragma Import (Ada, E315, "system__assertions_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "system__checked_pools_E");
   E300 : Short_Integer; pragma Import (Ada, E300, "gnat__debug_pools_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "system__pool_global_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "gnat__expect_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "system__pool_size_E");
   E342 : Short_Integer; pragma Import (Ada, E342, "system__regexp_E");
   E335 : Short_Integer; pragma Import (Ada, E335, "ada__directories_E");
   E266 : Short_Integer; pragma Import (Ada, E266, "system__tasking__initialization_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "system__tasking__protected_objects_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "system__tasking__protected_objects__entries_E");
   E274 : Short_Integer; pragma Import (Ada, E274, "system__tasking__queuing_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "gnatcoll__atomic_E");
   E298 : Short_Integer; pragma Import (Ada, E298, "gnatcoll__memory_E");
   E232 : Short_Integer; pragma Import (Ada, E232, "gnatcoll__plugins_E");
   E170 : Short_Integer; pragma Import (Ada, E170, "gnatcoll__storage_pools__headers_E");
   E168 : Short_Integer; pragma Import (Ada, E168, "gnatcoll__refcount_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "gnatcoll__strings_impl_E");
   E288 : Short_Integer; pragma Import (Ada, E288, "gnatcoll__strings_E");
   E287 : Short_Integer; pragma Import (Ada, E287, "gnatcoll__strings_E");
   E307 : Short_Integer; pragma Import (Ada, E307, "gnatcoll__mmap_E");
   E309 : Short_Integer; pragma Import (Ada, E309, "gnatcoll__mmap__system_E");
   E311 : Short_Integer; pragma Import (Ada, E311, "gnatcoll__templates_E");
   E313 : Short_Integer; pragma Import (Ada, E313, "gnatcoll__terminal_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "gnatcoll__utils_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "gnatcoll__sql_impl_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "gnatcoll__sql_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "gnatcoll__io_E");
   E344 : Short_Integer; pragma Import (Ada, E344, "gnatcoll__path_E");
   E333 : Short_Integer; pragma Import (Ada, E333, "gnatcoll__io__native_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "gnatcoll__remote_E");
   E351 : Short_Integer; pragma Import (Ada, E351, "gnatcoll__remote__db_E");
   E329 : Short_Integer; pragma Import (Ada, E329, "gnatcoll__io__remote_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "gnatcoll__io__remote__unix_E");
   E349 : Short_Integer; pragma Import (Ada, E349, "gnatcoll__io__remote__windows_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "gnatcoll__vfs_E");
   E292 : Short_Integer; pragma Import (Ada, E292, "gnatcoll__traces_E");
   E228 : Short_Integer; pragma Import (Ada, E228, "gnatcoll__sql__exec_E");
   E236 : Short_Integer; pragma Import (Ada, E236, "gnatcoll__sql__exec__tasking_E");
   E282 : Short_Integer; pragma Import (Ada, E282, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E236 := E236 - 1;
         if E236 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E228 := E228 - 1;
         if E228 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E228 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E292 := E292 - 1;
         if E292 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E292 = 0 then
            F8;
         end if;
      end;
      E320 := E320 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E320 = 0 then
            F9;
         end if;
      end;
      E329 := E329 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E329 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E347 := E347 - 1;
         if E347 = 0 then
            F11;
         end if;
      end;
      E333 := E333 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E333 = 0 then
            F12;
         end if;
      end;
      E326 := E326 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E326 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E163 := E163 - 1;
         if E163 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E163 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E179 := E179 - 1;
         if E179 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E179 = 0 then
            F17;
         end if;
      end;
      E313 := E313 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E313 = 0 then
            F18;
         end if;
      end;
      E168 := E168 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E168 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E298 := E298 - 1;
         if E298 = 0 then
            F20;
         end if;
      end;
      E278 := E278 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E278 = 0 then
            F21;
         end if;
      end;
      E335 := E335 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E335 = 0 then
            F22;
         end if;
      end;
      E342 := E342 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E342 = 0 then
            F23;
         end if;
      end;
      E175 := E175 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E175 = 0 then
            F24;
         end if;
      end;
      E201 := E201 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E201 = 0 then
            F25;
         end if;
      end;
      E177 := E177 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E177 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E300 := E300 - 1;
         if E300 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E300 = 0 then
            F28;
         end if;
      end;
      E189 := E189 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E189 = 0 then
            F29;
         end if;
      end;
      E116 := E116 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E116 = 0 then
            F30;
         end if;
      end;
      E122 := E122 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E122 = 0 then
            F31;
         end if;
      end;
      E124 := E124 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E124 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E193 := E193 - 1;
         if E193 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, True, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, True, False, False, True, True, False, True, 
           True, False, True, True, True, True, False, True, 
           False, False, False, True, False, False, True, False, 
           True, False, True, True, False, False, False, True, 
           False, False, False, True, False, True, False, True, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, True, False, 
           False, True, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E042 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E042 := E042 + 1;
      if E064 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E064 := E064 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E097 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E097 := E097 + 1;
      if E100 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E100 := E100 + 1;
      if E047 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E047 := E047 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E075 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E075 := E075 + 1;
      if E054 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E054 := E054 + 1;
      if E069 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E069 := E069 + 1;
      if E093 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E093 := E093 + 1;
      E019 := E019 + 1;
      if E041 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E041 := E041 + 1;
      E023 := E023 + 1;
      if E141 = 0 then
         Gnat'Elab_Spec;
      end if;
      E141 := E141 + 1;
      if E234 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E234 := E234 + 1;
      if E250 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E250 := E250 + 1;
      if E244 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E244 := E244 + 1;
      if E104 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E104 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E104 := E104 + 1;
      if E102 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E194 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E194 := E194 + 1;
      if E129 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E129 := E129 + 1;
      if E127 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E127 := E127 + 1;
      if E193 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E193 := E193 + 1;
      if E131 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E131 := E131 + 1;
      if E124 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E124 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E124 := E124 + 1;
      if E122 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E122 := E122 + 1;
      if E116 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E116 := E116 + 1;
      if E206 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E206 := E206 + 1;
      if E146 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E146 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E146 := E146 + 1;
      if E152 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E152 := E152 + 1;
      if E189 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E189 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E189 := E189 + 1;
      if E143 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E143 := E143 + 1;
      if E187 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E187 := E187 + 1;
      if E331 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E331 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E331 := E331 + 1;
      if E315 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E315 := E315 + 1;
      if E305 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E305 := E305 + 1;
      if E300 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E300 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E300 := E300 + 1;
      if E177 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E177 := E177 + 1;
      if E201 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E201 := E201 + 1;
      if E175 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E175 := E175 + 1;
      if E342 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E342 := E342 + 1;
      if E335 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E335 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E335 := E335 + 1;
      if E266 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E266 := E266 + 1;
      if E276 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E276 := E276 + 1;
      if E278 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E278 := E278 + 1;
      if E274 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E274 := E274 + 1;
      E166 := E166 + 1;
      if E298 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E298 := E298 + 1;
      E232 := E232 + 1;
      E170 := E170 + 1;
      if E168 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E168 := E168 + 1;
      E290 := E290 + 1;
      if E288 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E288 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E288 := E288 + 1;
      if E307 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E309 := E309 + 1;
      E307 := E307 + 1;
      if E311 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E311 := E311 + 1;
      if E313 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E313 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E313 := E313 + 1;
      E183 := E183 + 1;
      if E179 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E179 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E179 := E179 + 1;
      if E163 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E163 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E163 := E163 + 1;
      if E326 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E326 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E326 := E326 + 1;
      if E344 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E344 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E344 := E344 + 1;
      if E333 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E333 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E333 := E333 + 1;
      if E347 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E347 := E347 + 1;
      if E351 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E351 := E351 + 1;
      if E329 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E346 := E346 + 1;
      E349 := E349 + 1;
      if E329 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E329 := E329 + 1;
      if E320 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E320 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E320 := E320 + 1;
      if E292 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E292 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E292 := E292 + 1;
      if E228 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E282 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E282 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E282 := E282 + 1;
      if E228 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E228 := E228 + 1;
      if E236 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E236 := E236 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/stage/usr/lib/gnatcoll_sql/
   --   -L/usr/lib/gpr/relocatable/gpr/
   --   -L/usr/lib/xmlada/
   --   -L/usr/lib/gnatcoll/
   --   -L/usr/lib/gcc/i686-redhat-linux/10/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
